## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query
Class QueryWidgetCompositeFactoryImpl

    java.lang.Object
      org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query.QueryWidgetCompositeFactoryImpl

All Implemented Interfaces:
  IQueryWidgetCompositeFactoryFactory

    public class QueryWidgetCompositeFactoryImpl

extends java.lang.Object
implements IQueryWidgetCompositeFactoryFactory

Implementation of the `IQueryWidgetCompositeFactoryFactory`.

Field Summary

Fields inherited from interface org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query.IQueryWidgetCompositeFactoryFactory
`INSTANCE`

Constructor Summary
`QueryWidgetCompositeFactoryImpl()`

Method Summary
`IQueryDialogFactoryStrategy` `getQueryDialogFactoryStrategy(java.lang.String managedTypeName)` Return a registered `AbstractQueryDialogFactory` corresponding to the given type name.
`java.util.List<java.lang.String>` `getRegisteredQueryWidgetsComposite()` Returns every registered `AbstractQueryDialogFactory` name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryWidgetCompositeFactoryImpl

    public QueryWidgetCompositeFactoryImpl()

Method Detail

### getQueryDialogFactoryStrategy

    public IQueryDialogFactoryStrategy getQueryDialogFactoryStrategy(java.lang.String managedTypeName)

  Description copied from interface: `IQueryWidgetCompositeFactoryFactory`
  Return a registered `AbstractQueryDialogFactory` corresponding to the given type name.

  Specified by:
    `getQueryDialogFactoryStrategy` in interface `IQueryWidgetCompositeFactoryFactory`
  Parameters:
    `managedTypeName` - the managedQueryTypeName extension attribute.
  Returns:
    an instance of the class which implements `AbstractQueryDialogFactory`.

### getRegisteredQueryWidgetsComposite

    public java.util.List<java.lang.String> getRegisteredQueryWidgetsComposite()

  Description copied from interface: `IQueryWidgetCompositeFactoryFactory`
  Returns every registered `AbstractQueryDialogFactory` name.

  Specified by:
    `getRegisteredQueryWidgetsComposite` in interface `IQueryWidgetCompositeFactoryFactory`
  Returns:
    a list containing the managedQueryTypeName.